Integrated Leisure Module

The integrated leisure module is activated with the license code Spa and Leisure, the following functionality is available via the Leisure drop down module:

  • Leisure Booking List

  • From the Leisure Booking List, the plan schedule can be accessed.

  • Opening the booking edit screen switches to the Leisure system and allows modification and viewing all details for the leisure booking

  • Posting Functionality resides in Suite8, no additional interface is needed. The leisure booking charges are posted to the guest’s room using posting functionality in Suite8.

Full Leisure Module using the Leisure Interface

When using the full Leisure Module, the license code for the Spa and Leisure has to be activated and the flag: Use Leisure Interface under Global Settings → Interface 3 tab selected. The Leisure Interface is configured under this option, please refer to the section Global Settings in this document. The following functionality is available:

  • Full Leisure Module

  • The communication and posting functionality is performed via FIAS Interface.

  • Whenever updates are made to Profiles or Reservations linked to leisure bookings a notification is triggered to the Leisure System.

  • Spa and Leisure functionality is controlled by the license [L102826] Spa and Leisure under Setup → Miscellaneous → License → V8 Sublicenses → Suite8 Property Management.


Accessing Leisure

The Suite8 Leisure module integrates with the Spa Wellness Software BellaVita. BellaVita software maintains the multiple leisure facilities a property might offer, including sports or wellness treatments such as massages or facials. With BellaVita both the resources and the leisure bookings can be maintained and scheduled.

From Fidelio Suite8, leisure bookings can be listed, edited, created, deleted, scheduled and posted. When selecting a booking from the Leisure drop-down menu, BellaVita is opened so that Offers, Employees, Schedules and all Leisure bookings can be maintained.

Note: The view BV ForeignGuest used with the V8 Leisure Module and BellaVita installation is updated if a profile is changed. This view is read by the BellaVita Module.

Leisure Booking Options

  • Search - activates the search for leisure bookings according to the entered criteria.

  • Reset Filter - resets the search criteria.

  • Edit Profile - via this option any details related to the profile can be viewed or changed.

  • Edit Reservation - via this option any details related to the reservation can be viewed or changed.

  • New - via this option a new leisure booking can be created in BellaVita.

  • Edit - this option switches to BellaVita and opens the booking edit screen of the selected leisure booking. All details related to the leisure booking can be viewed and/or edited.

  • Post - via this option the leisure booking charge from BellaVita can be posted to the guest's room/checked in guest. Posting functionality resides in V8 so no additional interface is needed to post to PMS. Posted leisure charges are indicated with a cross in the field Posted, when viewing leisure bookings.

  • Search Profile - opens Profile Search from the Leisure Booking List; this offers all profile options, such as creating a new profile or selecting an existing profile.

What do you want to do?

How to access Leisure

Click the Leisure menu and select View Bookings or press Ctrl + Shift + L.

The Leisure Booking List dialog box appears.

How to search for leisure bookings

  1. Click the Leisure menu and select View Bookings or press Ctrl + Shift + L.

The Leisure Booking List dialog box appears.

  2. In the Facility box select a leisure facility from the drop down list.

  3. Type the date required in the Date box or click the drop down arrow and select a date from the calendar.

  4. In the Booking # box enter the BellaVita leisure booking number to limit the search to a specific booking.

  5. Type the guest's last name in the Last Name box.

  6. Type the guest's first name in the First Name box.

  7. Type the description of the leisure booking in the Description box, for example entering 'Tennis' will list all guests booked for a tennis lesson.

  8. In the Reservation ID box enter the reservation ID number in order to limit the search to a specific reservation ID.

  9. Select the option Include History to include historical leisure bookings in the search.

  10. If the option Only Problematic is selected, then only problematic leisure bookings are listed.

  11. Select the option Needs to be posted to list only leisure bookings which have not yet been posted.

  12. If the option Include Inactive is selected, then inactive leisure bookings are also listed.

  13. Click Search, all leisure bookings meeting the entered search criteria are listed.

  14. To clear the search text click Reset filter.

Leisure Booking Search Criteria

Fill this field | With this information
Facility | From the drop-down list select one of the facility names. Only the selected facility will be displayed when the search is activated.
Date | Enter the date for which to search for leisure bookings.
Booking # | Enter the leisure activity booking number from BellaVita.
Include History | Select this check box to include historical leisure booking records.
Need to be posted | Select this check box to display only leisure bookings which have not yet been posted. This option allows the user to easily see which leisure bookings need to be posted.
Only Problematic | Select this check box to display only problematic leisure bookings.
Include Inactive | Select this check box to include inactive leisure booking records.
Last Name | Enter the guest's last name.
First Name | Enter the guest's first name.
Description | Enter the description of the leisure activity, for example entering 'Tennis' will list all guests booked for a tennis lesson.
Reservation ID | Enter the ID number of the reservation.

Editing a leisure booking

Posting a leisure booking charge

  • Spa and Leisure functionality is controlled by the license [L102826] Spa and Leisure under Setup → Miscellaneous → License → V8 Sublicenses → Suite8 Property Management.

  • Leisure booking posting functionality is controlled by the user right Post under Setup → Configuration → Users → User Definition → Rights → Cashiering.


Editing a leisure booking

How to edit a leisure booking

  1. Click the Leisure menu and select View Bookings or press Ctrl + Shift + L.

The Leisure Booking List dialog box appears.

  2. Search for and locate the booking to be edited.

  3. Click Edit.

Suite8 Leisure is opened and the selected leisure booking is displayed.

  4. Make any required changes and click OK to save.

The leisure booking is closed and the Leisure Booking List dialog box is displayed.

  5. Click Search to update the list.


Posting a leisure booking charge

Posting functionality resides in Suite8 and charges for leisure bookings are posted to the guest's room.

No additional interface is needed to post to the PMS.

The billing window is opened, and the leisure booking can be posted. Posted leisure charges are indicated with a cross in the field Posted, when viewing leisure bookings.

How to post a leisure booking charge

  1. Click the Leisure menu and select View Bookings or press Ctrl + Shift + L.

The Leisure Booking List dialog box appears.

  2. The check box Need to be posted can be selected to display all leisure bookings which have not yet been posted.

  3. Search for and locate the booking to be posted. Multiple leisure bookings can be selected from the list using the Ctrl button and left mouse click.

  4. Click Post.

The cashier login and password screen is displayed.

  5. After logging in, the Price update dialog box is displayed; make any changes necessary and click OK.

  6. the charge is posted automatically and the leisure booking marked with a cross in the Posted column.

Note: Leisure postings can be performed directly from the leisure module to a financial account for guests with a rebate card linked and checked in financial account.


Creating a new profile

How to enter a new leisure booking

  1. Click the Leisure menu and select View Bookings or press Ctrl + Shift + L.

The Leisure Booking List dialog box appears.

  2. Click Search Profile, the Profile Search dialog box is displayed.

  3. Create a new profile or locate an existing profile and click Select. (See: How to create a new profile)


Trouble Shooting

Listed below are helpful hints and solutions for troubleshooting the installation of the integrated leisure module as well as scenarios for possible software problems.

Troubleshooting Guide

Symptom/Problem | Probable Cause | Solution/Action
The online installation and the download stops without error or warning message. | Possibly the internet connection is not stable, | Continue with the offline installation.
When a Leisure posting should be booked, Suite8 prompts the message: No department code | The charge type may not be linked to the offer. | Check in the master data that the charge type is linked to the offer and that it is linked as standard charge type,
No languages are displayed for selection in the drop-down box when configuring leisure on the Global Settings → Interface 4 tab. | The Leisure Booking Service is not running. An incorrect Server URL address entered on the Global Settings → Interface 4 tab. If it is http://localhost:8195/IBookings?wsdl then change this to: http://[servername]:8195/IBookings?wsdl For versions 8.9 and above use : http://[servername]:9090/bvserver/services/IBookings | If the problem persists and the language can not be selected on the server, try if it works on another workstation, the port 8153 is blocked on the server. In this case you can continue the configuration but leisure will not be available on server later on.
When opening Leisure from the Suite8 drop down menu, the following message is displayed: Can't establish connection with GUI Web Service |  | This issue is resolved since version 8.7.4.0 of Suite8.
The view for the reports can not be created. | Incorrect Oracle rights | Oracle rights - make sure that all grant permissions have been granted.